# async

Source:
  - constructors/async.js, line 7
See:
  - async.Async

Module used processing data asynchronous

### Example

    Application.require('async').then(function (asyncOperations) {
    	// @TODO
    }, console.error);

### Classes

Async

### Methods

#### (static) flow(operations, cb, timeoutopt) → {async.Async}

Source:
  - constructors/async.js, line 241

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`operations` | async.Async.Operations |  |  |
`cb` | async.doneCallback |  |  |
`timeout` | number | <optional> | `0` | timeout between operations

##### Returns:

Type
  async.Async

#### (static) flow_map(operations, cb, timeoutopt) → {async.Async}

Source:
  - constructors/async.js, line 362

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`operations` | Array.<any> |  |  |
`` | async.processCallback |  |  |
`cb` | async.doneCallback |  |  |
`timeout` | number | <optional> | `0` | timeout between operations

##### Returns:

Type
  async.Async

#### (static) map(operations, cb, timeoutopt) → {async.Async}

Source:
  - constructors/async.js, line 353

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`operations` | Array.<any> |  |  |
`` | async.processCallback |  |  |
`cb` | async.doneCallback |  |  |
`timeout` | number | <optional> | `0` | timeout between operations

##### Returns:

Type
  async.Async

#### (static) waterfall(operations, cb, parallelopt, timeoutopt) → {async.Async}

Source:
  - constructors/async.js, line 292

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`operations` | async.Async.Operations |  |  |
`cb` | async.doneCallback |  |  |
`parallel` | number | <optional> | `27` | number of operations that can be done in parallel
`timeout` | number | <optional> | `0` | timeout between operations

##### Returns:

Type
  async.Async

#### (static) waterfall_map(operations, cb, parallelopt, timeoutopt) → {async.Async}

Source:
  - constructors/async.js, line 422

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`operations` | Array.<any> |  |  |
`` | async.processCallback |  |  |
`cb` | async.doneCallback |  |  |
`parallel` | number | <optional> | `27` | number of operations that can be done in parallel
`timeout` | number | <optional> | `0` | timeout between operations

##### Returns:

Type
  async.Async

### Type Definitions

#### AsyncConstructor() → {async.Async}

Source:
  - constructors/async.js, line 1

##### Returns:

Type
  async.Async

#### doneCallback()

Source:
  - constructors/async.js, line 236

##### This:

- async.Async

#### processCallback(next, item, index, items)

Source:
  - constructors/async.js, line 228

##### Parameters:

Name | Type | Description
--- | --- | ---
`next` | function |
`item` | any |
`index` | number |
`items` | Array.<any> |